<?php
$url = (string)filter_input(INPUT_POST, 'url');
if (empty($url)) {
    exit;
}

if(substr($url, -1) == '/') {
    $url = substr($url, 0, -1);
}
$url .= '/vm-ping';

$ch = curl_init($url);
curl_setopt_array($ch, [CURLOPT_RETURNTRANSFER => TRUE, CURLOPT_HEADER => FALSE, CURLOPT_SSL_VERIFYHOST => FALSE, CURLOPT_SSL_VERIFYPEER => FALSE, CURLOPT_TIMEOUT => 4]);
$content = curl_exec($ch);
curl_close($ch);

if ($content == 'vm-pong') {
    echo 'vm-pong';
}
